﻿using System.Web.Mvc;

namespace MvcDemo.Areas.SecurityHeaders
{
    public class SecurityHeadersAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "SecurityHeaders";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                "SecurityHeaders_default",
                "HttpHeaders/SecurityHeaders/{controller}/{action}/{id}",
                new { controller = "Home", action = "Index", id = UrlParameter.Optional },
                namespaces: new[] { "MvcDemo.Areas.SecurityHeaders.Controllers" }
            );
        }
    }
}
