﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace MvcDemo.Areas.HttpHeaders.Models
{
    public class CacheSettings
    {
        
        public Cacheability Cacheability { get; set; }
        public bool NoStore { get; set; }
        public bool MustRevalidate { get; set; }
        public bool Expires { get; set; }
        public bool MaxAge { get; set; }
        public bool Pragma { get; set; }
        internal String UserMessage { get; set; }
        internal int Counter { get; set; }
        public bool ResetCounter { get; set; }
    }

    public enum Cacheability
    {
        Public = 0,
        Private = 1,
        NoCache = 2
    }
}